org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModel<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModel<T>

Type Parameters:
  `T` -

    public class HierarchyWizardModel<T>
    extends java.lang.Object

The base model for the wizard.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardModel(DataType<T> dataType, java.util.Locale locale, java.lang.String[] data)` Creates a new instance for the given data type.

### Method Summary

All Methods Instance Methods Concrete Methods
`HierarchyBuilder<T>` `getBuilder(boolean serializable)` Returns the current builder.
`DataType<T>` `getDataType()` Returns the data type.
`HierarchyWizardModelDate` `getDateModel()` Returns the model of the date-based builder.
`AttributeType.Hierarchy` `getHierarchy()` Returns the current hierarchy.
`HierarchyWizardModelIntervals<T>` `getIntervalModel()` Returns the model of the interval-based builder.
`HierarchyWizardModelOrder<T>` `getOrderModel()` Returns the model of the order-based builder.
`HierarchyWizardModelRedaction<T>` `getRedactionModel()` Returns the model of the redaction-based builder.
`HierarchyBuilder.Type` `getType()` Returns the type.
`void` `parse(HierarchyBuilder<T> builder)` Updates the model with a new specification.
`void` `setType(HierarchyBuilder.Type type)` Sets the type.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HierarchyWizardModel

    public HierarchyWizardModel(DataType<T> dataType,
                                java.util.Locale locale,
                                java.lang.String[] data)

Creates a new instance for the given data type.

Parameters:
  `dataType` -
  `locale` -
  `data` -

### Method Detail

#### getBuilder

    public HierarchyBuilder<T> getBuilder(boolean serializable)
                                   throws java.lang.Exception

Returns the current builder.

Parameters:
  `serializable` -
Returns:
Throws:
  `java.lang.Exception`

#### getDataType

    public DataType<T> getDataType()

Returns the data type.

Returns:

#### getHierarchy

    public AttributeType.Hierarchy getHierarchy()

Returns the current hierarchy.

Returns:

#### getIntervalModel

    public HierarchyWizardModelIntervals<T> getIntervalModel()

Returns the model of the interval-based builder.

Returns:

#### getOrderModel

    public HierarchyWizardModelOrder<T> getOrderModel()

Returns the model of the order-based builder.

Returns:

#### getRedactionModel

    public HierarchyWizardModelRedaction<T> getRedactionModel()

Returns the model of the redaction-based builder.

Returns:

#### getDateModel

    public HierarchyWizardModelDate getDateModel()

Returns the model of the date-based builder.

Returns:

#### getType

    public HierarchyBuilder.Type getType()

Returns the type.

Returns:

#### parse

    public void parse(HierarchyBuilder<T> builder)
               throws java.lang.IllegalArgumentException

Updates the model with a new specification.

Parameters:
  `builder` -
Throws:
  `java.lang.IllegalArgumentException`

#### setType

    public void setType(HierarchyBuilder.Type type)

Sets the type.

Parameters:
  `type` -